export default {

  namespace: 'userInfomation',

  state: {
    userName: undefined,
    currentJiDiName: undefined,
    currentJiDiPath: undefined,
  },
  subscriptions: {
    setup({ dispatch }) {  // eslint-disable-line
    },
  },
  reducers: {
    setUserName(state, { payload: userName }) {
      return {
        ...state,
        userName,
      };
    },
    setCurrentJiDiName(state, { payload: currentJiDiName }) {
      return {
        ...state,
        currentJiDiName,
      };
    },
  },
  effects: {
  },
};
